ENAMLCLEAN(1)

NAME
enamlclean - Remove .enamlc files

SYNOPSIS
enamlclean [-V VERSION] [-p PACKAGE] [DIR_OF_FILE]

OPTIONS

-h, --help
    Print a help message and exit

-v, --verbose
    Turn on verbose mode

-q, --quiet
    Be quiet

-p PACKAGE, --package=PACKAGE
    Specify Debian package name to clean (combining with DIR_OR_FILE will additionally limit the list of files)

-V VERSION
    Specify the Python version to clean

EXAMPLES
  enamlclean -p python3-foo

Remove all .enamlc files and __enamlcache__ directories from the package python3-foo.

  enamlclean -V 3.11 /usr/lib/python3/

Remove all .enamlc files for python 3.11 only.

  enamlclean -V 3.11 /usr/lib/foo/bar.enaml

Remove /usr/lib/foo/__enamlcache__/bar.enaml-cpython-311-*.enamlc.

  enamlclean /usr/lib/python3/

Remove all .enamlc files and __enamlcache__ directories for Python 3.

AUTHOR
Alexander Sulfrian, 2025